package randoopWithoutOracle;
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest10 {

    public static boolean debug = false;

    @Test
    public void test5001() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5001");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        java.util.List<comments.model.Comment> commentList1 = mapCriticsRepository0.getAllComments();
        mapCriticsRepository0.deleteProfile("hi!");
        mapCriticsRepository0.deleteProfile("");
        comments.model.Profile profile7 = mapCriticsRepository0.getProfile("");
        comments.model.Comment comment9 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList10 = mapCriticsRepository0.getAllProfiles();
        comments.model.Comment comment11 = null;
        // The following exception was thrown during execution in test generation
        try {
            mapCriticsRepository0.updateComment(comment11);
            org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException; message: Cannot invoke \"comments.model.Comment.getId()\" because \"c\" is null");
        } catch (java.lang.NullPointerException e) {
            // Expected exception.
        }
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNotNull(commentList1);
        org.junit.Assert.assertNull(profile7);
        org.junit.Assert.assertNull(comment9);
        org.junit.Assert.assertNotNull(profileList10);
    }

    @Test
    public void test5002() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5002");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile7 = mapCriticsRepository0.getProfile("hi!");
        mapCriticsRepository0.deleteProfile("hi!");
        comments.model.Profile profile11 = mapCriticsRepository0.getProfile("");
        mapCriticsRepository0.deleteProfile("hi!");
        comments.model.Profile profile15 = mapCriticsRepository0.getProfile("");
        java.util.List<comments.model.Comment> commentList16 = mapCriticsRepository0.getAllComments();
        comments.model.Profile profile18 = mapCriticsRepository0.getProfile("");
        mapCriticsRepository0.deleteProfile("");
        comments.model.Comment comment21 = null;
        // The following exception was thrown during execution in test generation
        try {
            mapCriticsRepository0.updateComment(comment21);
            org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException; message: Cannot invoke \"comments.model.Comment.getId()\" because \"c\" is null");
        } catch (java.lang.NullPointerException e) {
            // Expected exception.
        }
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNull(profile7);
        org.junit.Assert.assertNull(profile11);
        org.junit.Assert.assertNull(profile15);
        org.junit.Assert.assertNotNull(commentList16);
        org.junit.Assert.assertNull(profile18);
    }

    @Test
    public void test5003() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5003");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList6 = mapCriticsRepository0.getAllComments();
        comments.model.Comment comment8 = mapCriticsRepository0.getComment("hi!");
        java.util.List<comments.model.Comment> commentList9 = mapCriticsRepository0.getAllComments();
        comments.model.Profile profile11 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Profile> profileList12 = mapCriticsRepository0.getAllProfiles();
        java.util.List<comments.model.Comment> commentList13 = mapCriticsRepository0.getAllComments();
        mapCriticsRepository0.deleteProfile("hi!");
        comments.model.Comment comment17 = mapCriticsRepository0.getComment("");
        comments.model.Comment comment19 = mapCriticsRepository0.getComment("hi!");
        comments.model.Comment comment21 = mapCriticsRepository0.getComment("hi!");
        comments.model.Profile profile23 = mapCriticsRepository0.getProfile("");
        comments.model.Comment comment24 = null;
        // The following exception was thrown during execution in test generation
        try {
            mapCriticsRepository0.updateComment(comment24);
            org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException; message: Cannot invoke \"comments.model.Comment.getId()\" because \"c\" is null");
        } catch (java.lang.NullPointerException e) {
            // Expected exception.
        }
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNotNull(commentList6);
        org.junit.Assert.assertNull(comment8);
        org.junit.Assert.assertNotNull(commentList9);
        org.junit.Assert.assertNull(profile11);
        org.junit.Assert.assertNotNull(profileList12);
        org.junit.Assert.assertNotNull(commentList13);
        org.junit.Assert.assertNull(comment17);
        org.junit.Assert.assertNull(comment19);
        org.junit.Assert.assertNull(comment21);
        org.junit.Assert.assertNull(profile23);
    }

    @Test
    public void test5004() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5004");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList6 = mapCriticsRepository0.getAllComments();
        comments.model.Comment comment8 = mapCriticsRepository0.getComment("hi!");
        java.util.List<comments.model.Comment> commentList9 = mapCriticsRepository0.getAllComments();
        mapCriticsRepository0.deleteProfile("");
        comments.model.Profile profile13 = mapCriticsRepository0.getProfile("");
        comments.model.Profile profile15 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList16 = mapCriticsRepository0.getAllComments();
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNotNull(commentList6);
        org.junit.Assert.assertNull(comment8);
        org.junit.Assert.assertNotNull(commentList9);
        org.junit.Assert.assertNull(profile13);
        org.junit.Assert.assertNull(profile15);
        org.junit.Assert.assertNotNull(commentList16);
    }

    @Test
    public void test5005() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5005");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Comment comment7 = mapCriticsRepository0.getComment("hi!");
        java.util.List<comments.model.Profile> profileList8 = mapCriticsRepository0.getAllProfiles();
        comments.model.Comment comment10 = mapCriticsRepository0.getComment("");
        comments.model.Comment comment12 = mapCriticsRepository0.getComment("");
        comments.model.Profile profile14 = mapCriticsRepository0.getProfile("");
        comments.model.Comment comment16 = mapCriticsRepository0.getComment("");
        comments.model.Profile profile18 = mapCriticsRepository0.getProfile("");
        java.util.List<comments.model.Comment> commentList19 = mapCriticsRepository0.getAllComments();
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNull(comment7);
        org.junit.Assert.assertNotNull(profileList8);
        org.junit.Assert.assertNull(comment10);
        org.junit.Assert.assertNull(comment12);
        org.junit.Assert.assertNull(profile14);
        org.junit.Assert.assertNull(comment16);
        org.junit.Assert.assertNull(profile18);
        org.junit.Assert.assertNotNull(commentList19);
    }

    @Test
    public void test5006() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5006");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Comment comment7 = mapCriticsRepository0.getComment("hi!");
        java.util.List<comments.model.Profile> profileList8 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile10 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile12 = mapCriticsRepository0.getProfile("hi!");
        mapCriticsRepository0.deleteProfile("");
        comments.model.Profile profile16 = mapCriticsRepository0.getProfile("");
        comments.model.Comment comment18 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList19 = mapCriticsRepository0.getAllProfiles();
        java.util.List<comments.model.Profile> profileList20 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile21 = null;
        // The following exception was thrown during execution in test generation
        try {
            mapCriticsRepository0.addProfile(profile21);
            org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException; message: Cannot invoke \"comments.model.Profile.setComments(java.util.List)\" because \"p\" is null");
        } catch (java.lang.NullPointerException e) {
            // Expected exception.
        }
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNull(comment7);
        org.junit.Assert.assertNotNull(profileList8);
        org.junit.Assert.assertNull(profile10);
        org.junit.Assert.assertNull(profile12);
        org.junit.Assert.assertNull(profile16);
        org.junit.Assert.assertNull(comment18);
        org.junit.Assert.assertNotNull(profileList19);
        org.junit.Assert.assertNotNull(profileList20);
    }

    @Test
    public void test5007() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5007");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile7 = mapCriticsRepository0.getProfile("hi!");
        mapCriticsRepository0.deleteProfile("hi!");
        comments.model.Comment comment11 = mapCriticsRepository0.getComment("hi!");
        java.util.List<comments.model.Comment> commentList12 = mapCriticsRepository0.getAllComments();
        comments.model.Comment comment14 = mapCriticsRepository0.getComment("hi!");
        java.util.List<comments.model.Comment> commentList15 = mapCriticsRepository0.getAllComments();
        java.util.List<comments.model.Profile> profileList16 = mapCriticsRepository0.getAllProfiles();
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNull(profile7);
        org.junit.Assert.assertNull(comment11);
        org.junit.Assert.assertNotNull(commentList12);
        org.junit.Assert.assertNull(comment14);
        org.junit.Assert.assertNotNull(commentList15);
        org.junit.Assert.assertNotNull(profileList16);
    }

    @Test
    public void test5008() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5008");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile7 = mapCriticsRepository0.getProfile("hi!");
        mapCriticsRepository0.deleteProfile("hi!");
        java.util.List<comments.model.Comment> commentList10 = mapCriticsRepository0.getAllComments();
        mapCriticsRepository0.deleteProfile("hi!");
        comments.model.Profile profile14 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Comment comment16 = mapCriticsRepository0.getComment("hi!");
        comments.model.Profile profile18 = mapCriticsRepository0.getProfile("");
        comments.model.Comment comment20 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList21 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile23 = mapCriticsRepository0.getProfile("");
        java.util.List<comments.model.Profile> profileList24 = mapCriticsRepository0.getAllProfiles();
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNull(profile7);
        org.junit.Assert.assertNotNull(commentList10);
        org.junit.Assert.assertNull(profile14);
        org.junit.Assert.assertNull(comment16);
        org.junit.Assert.assertNull(profile18);
        org.junit.Assert.assertNull(comment20);
        org.junit.Assert.assertNotNull(profileList21);
        org.junit.Assert.assertNull(profile23);
        org.junit.Assert.assertNotNull(profileList24);
    }

    @Test
    public void test5009() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5009");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList6 = mapCriticsRepository0.getAllComments();
        java.util.List<comments.model.Profile> profileList7 = mapCriticsRepository0.getAllProfiles();
        mapCriticsRepository0.deleteProfile("");
        java.util.List<comments.model.Profile> profileList10 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile12 = mapCriticsRepository0.getProfile("");
        java.util.List<comments.model.Profile> profileList13 = mapCriticsRepository0.getAllProfiles();
        mapCriticsRepository0.deleteProfile("");
        java.util.List<comments.model.Profile> profileList16 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile18 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Comment comment19 = null;
        // The following exception was thrown during execution in test generation
        try {
            mapCriticsRepository0.updateComment(comment19);
            org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException; message: Cannot invoke \"comments.model.Comment.getId()\" because \"c\" is null");
        } catch (java.lang.NullPointerException e) {
            // Expected exception.
        }
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNotNull(commentList6);
        org.junit.Assert.assertNotNull(profileList7);
        org.junit.Assert.assertNotNull(profileList10);
        org.junit.Assert.assertNull(profile12);
        org.junit.Assert.assertNotNull(profileList13);
        org.junit.Assert.assertNotNull(profileList16);
        org.junit.Assert.assertNull(profile18);
    }

    @Test
    public void test5010() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5010");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList6 = mapCriticsRepository0.getAllComments();
        java.util.List<comments.model.Profile> profileList7 = mapCriticsRepository0.getAllProfiles();
        comments.model.Comment comment9 = mapCriticsRepository0.getComment("hi!");
        comments.model.Profile profile11 = mapCriticsRepository0.getProfile("");
        comments.model.Profile profile13 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Comment comment15 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Comment> commentList16 = mapCriticsRepository0.getAllComments();
        java.util.List<comments.model.Profile> profileList17 = mapCriticsRepository0.getAllProfiles();
        mapCriticsRepository0.deleteProfile("hi!");
        java.util.List<comments.model.Comment> commentList20 = mapCriticsRepository0.getAllComments();
        java.util.List<comments.model.Comment> commentList21 = mapCriticsRepository0.getAllComments();
        java.lang.Class<?> wildcardClass22 = mapCriticsRepository0.getClass();
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNotNull(commentList6);
        org.junit.Assert.assertNotNull(profileList7);
        org.junit.Assert.assertNull(comment9);
        org.junit.Assert.assertNull(profile11);
        org.junit.Assert.assertNull(profile13);
        org.junit.Assert.assertNull(comment15);
        org.junit.Assert.assertNotNull(commentList16);
        org.junit.Assert.assertNotNull(profileList17);
        org.junit.Assert.assertNotNull(commentList20);
        org.junit.Assert.assertNotNull(commentList21);
        org.junit.Assert.assertNotNull(wildcardClass22);
    }

    @Test
    public void test5011() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5011");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList6 = mapCriticsRepository0.getAllComments();
        mapCriticsRepository0.deleteProfile("");
        comments.model.Comment comment10 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Comment> commentList11 = mapCriticsRepository0.getAllComments();
        mapCriticsRepository0.deleteProfile("hi!");
        java.util.List<comments.model.Comment> commentList14 = mapCriticsRepository0.getAllComments();
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNotNull(commentList6);
        org.junit.Assert.assertNull(comment10);
        org.junit.Assert.assertNotNull(commentList11);
        org.junit.Assert.assertNotNull(commentList14);
    }

    @Test
    public void test5012() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5012");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile7 = mapCriticsRepository0.getProfile("hi!");
        mapCriticsRepository0.deleteProfile("hi!");
        comments.model.Profile profile11 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList12 = mapCriticsRepository0.getAllComments();
        java.util.List<comments.model.Profile> profileList13 = mapCriticsRepository0.getAllProfiles();
        java.util.List<comments.model.Profile> profileList14 = mapCriticsRepository0.getAllProfiles();
        java.util.List<comments.model.Comment> commentList15 = mapCriticsRepository0.getAllComments();
        comments.model.Profile profile17 = mapCriticsRepository0.getProfile("hi!");
        mapCriticsRepository0.deleteProfile("hi!");
        comments.model.Comment comment21 = mapCriticsRepository0.getComment("");
        mapCriticsRepository0.deleteProfile("hi!");
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNull(profile7);
        org.junit.Assert.assertNull(profile11);
        org.junit.Assert.assertNotNull(commentList12);
        org.junit.Assert.assertNotNull(profileList13);
        org.junit.Assert.assertNotNull(profileList14);
        org.junit.Assert.assertNotNull(commentList15);
        org.junit.Assert.assertNull(profile17);
        org.junit.Assert.assertNull(comment21);
    }

    @Test
    public void test5013() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5013");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList6 = mapCriticsRepository0.getAllComments();
        java.util.List<comments.model.Profile> profileList7 = mapCriticsRepository0.getAllProfiles();
        mapCriticsRepository0.deleteProfile("");
        java.util.List<comments.model.Profile> profileList10 = mapCriticsRepository0.getAllProfiles();
        comments.model.Comment comment12 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList13 = mapCriticsRepository0.getAllProfiles();
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNotNull(commentList6);
        org.junit.Assert.assertNotNull(profileList7);
        org.junit.Assert.assertNotNull(profileList10);
        org.junit.Assert.assertNull(comment12);
        org.junit.Assert.assertNotNull(profileList13);
    }

    @Test
    public void test5014() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5014");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile7 = mapCriticsRepository0.getProfile("hi!");
        mapCriticsRepository0.deleteProfile("hi!");
        comments.model.Profile profile11 = mapCriticsRepository0.getProfile("");
        java.util.List<comments.model.Profile> profileList12 = mapCriticsRepository0.getAllProfiles();
        java.util.List<comments.model.Profile> profileList13 = mapCriticsRepository0.getAllProfiles();
        java.util.List<comments.model.Profile> profileList14 = mapCriticsRepository0.getAllProfiles();
        java.util.List<comments.model.Comment> commentList15 = mapCriticsRepository0.getAllComments();
        mapCriticsRepository0.deleteProfile("");
        java.lang.Class<?> wildcardClass18 = mapCriticsRepository0.getClass();
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNull(profile7);
        org.junit.Assert.assertNull(profile11);
        org.junit.Assert.assertNotNull(profileList12);
        org.junit.Assert.assertNotNull(profileList13);
        org.junit.Assert.assertNotNull(profileList14);
        org.junit.Assert.assertNotNull(commentList15);
        org.junit.Assert.assertNotNull(wildcardClass18);
    }

    @Test
    public void test5015() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5015");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList6 = mapCriticsRepository0.getAllComments();
        java.util.List<comments.model.Profile> profileList7 = mapCriticsRepository0.getAllProfiles();
        comments.model.Comment comment9 = mapCriticsRepository0.getComment("hi!");
        mapCriticsRepository0.deleteProfile("hi!");
        java.util.List<comments.model.Comment> commentList12 = mapCriticsRepository0.getAllComments();
        comments.model.Profile profile14 = mapCriticsRepository0.getProfile("");
        comments.model.Profile profile16 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Comment comment18 = mapCriticsRepository0.getComment("hi!");
        java.util.List<comments.model.Profile> profileList19 = mapCriticsRepository0.getAllProfiles();
        comments.model.Comment comment20 = null;
        // The following exception was thrown during execution in test generation
        try {
            mapCriticsRepository0.updateComment(comment20);
            org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException; message: Cannot invoke \"comments.model.Comment.getId()\" because \"c\" is null");
        } catch (java.lang.NullPointerException e) {
            // Expected exception.
        }
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNotNull(commentList6);
        org.junit.Assert.assertNotNull(profileList7);
        org.junit.Assert.assertNull(comment9);
        org.junit.Assert.assertNotNull(commentList12);
        org.junit.Assert.assertNull(profile14);
        org.junit.Assert.assertNull(profile16);
        org.junit.Assert.assertNull(comment18);
        org.junit.Assert.assertNotNull(profileList19);
    }

    @Test
    public void test5016() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5016");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile7 = mapCriticsRepository0.getProfile("hi!");
        mapCriticsRepository0.deleteProfile("hi!");
        comments.model.Profile profile11 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Comment comment13 = mapCriticsRepository0.getComment("");
        mapCriticsRepository0.deleteProfile("hi!");
        comments.model.Profile profile17 = mapCriticsRepository0.getProfile("");
        java.util.List<comments.model.Profile> profileList18 = mapCriticsRepository0.getAllProfiles();
        mapCriticsRepository0.deleteProfile("");
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNull(profile7);
        org.junit.Assert.assertNull(profile11);
        org.junit.Assert.assertNull(comment13);
        org.junit.Assert.assertNull(profile17);
        org.junit.Assert.assertNotNull(profileList18);
    }

    @Test
    public void test5017() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5017");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList6 = mapCriticsRepository0.getAllComments();
        comments.model.Comment comment8 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList9 = mapCriticsRepository0.getAllProfiles();
        java.util.List<comments.model.Comment> commentList10 = mapCriticsRepository0.getAllComments();
        java.util.List<comments.model.Profile> profileList11 = mapCriticsRepository0.getAllProfiles();
        java.util.List<comments.model.Comment> commentList12 = mapCriticsRepository0.getAllComments();
        comments.model.Comment comment14 = mapCriticsRepository0.getComment("");
        comments.model.Profile profile16 = mapCriticsRepository0.getProfile("");
        comments.model.Comment comment17 = null;
        // The following exception was thrown during execution in test generation
        try {
            mapCriticsRepository0.updateComment(comment17);
            org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException; message: Cannot invoke \"comments.model.Comment.getId()\" because \"c\" is null");
        } catch (java.lang.NullPointerException e) {
            // Expected exception.
        }
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNotNull(commentList6);
        org.junit.Assert.assertNull(comment8);
        org.junit.Assert.assertNotNull(profileList9);
        org.junit.Assert.assertNotNull(commentList10);
        org.junit.Assert.assertNotNull(profileList11);
        org.junit.Assert.assertNotNull(commentList12);
        org.junit.Assert.assertNull(comment14);
        org.junit.Assert.assertNull(profile16);
    }

    @Test
    public void test5018() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5018");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        mapCriticsRepository0.deleteProfile("");
        java.util.List<comments.model.Profile> profileList6 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile8 = mapCriticsRepository0.getProfile("");
        comments.model.Comment comment10 = mapCriticsRepository0.getComment("");
        comments.model.Comment comment12 = mapCriticsRepository0.getComment("hi!");
        java.util.List<comments.model.Comment> commentList13 = mapCriticsRepository0.getAllComments();
        java.util.List<comments.model.Profile> profileList14 = mapCriticsRepository0.getAllProfiles();
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNotNull(profileList6);
        org.junit.Assert.assertNull(profile8);
        org.junit.Assert.assertNull(comment10);
        org.junit.Assert.assertNull(comment12);
        org.junit.Assert.assertNotNull(commentList13);
        org.junit.Assert.assertNotNull(profileList14);
    }

    @Test
    public void test5019() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5019");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        mapCriticsRepository0.deleteProfile("");
        java.util.List<comments.model.Profile> profileList6 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile8 = mapCriticsRepository0.getProfile("");
        comments.model.Comment comment10 = mapCriticsRepository0.getComment("");
        comments.model.Profile profile12 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Profile> profileList13 = mapCriticsRepository0.getAllProfiles();
        java.util.List<comments.model.Profile> profileList14 = mapCriticsRepository0.getAllProfiles();
        java.util.List<comments.model.Comment> commentList15 = mapCriticsRepository0.getAllComments();
        comments.model.Comment comment17 = mapCriticsRepository0.getComment("hi!");
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNotNull(profileList6);
        org.junit.Assert.assertNull(profile8);
        org.junit.Assert.assertNull(comment10);
        org.junit.Assert.assertNull(profile12);
        org.junit.Assert.assertNotNull(profileList13);
        org.junit.Assert.assertNotNull(profileList14);
        org.junit.Assert.assertNotNull(commentList15);
        org.junit.Assert.assertNull(comment17);
    }

    @Test
    public void test5020() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5020");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList6 = mapCriticsRepository0.getAllComments();
        comments.model.Comment comment8 = mapCriticsRepository0.getComment("hi!");
        comments.model.Profile profile10 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Profile> profileList11 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile13 = mapCriticsRepository0.getProfile("");
        java.util.List<comments.model.Profile> profileList14 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile16 = mapCriticsRepository0.getProfile("hi!");
        mapCriticsRepository0.deleteProfile("hi!");
        java.util.List<comments.model.Comment> commentList19 = mapCriticsRepository0.getAllComments();
        mapCriticsRepository0.deleteProfile("hi!");
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNotNull(commentList6);
        org.junit.Assert.assertNull(comment8);
        org.junit.Assert.assertNull(profile10);
        org.junit.Assert.assertNotNull(profileList11);
        org.junit.Assert.assertNull(profile13);
        org.junit.Assert.assertNotNull(profileList14);
        org.junit.Assert.assertNull(profile16);
        org.junit.Assert.assertNotNull(commentList19);
    }

    @Test
    public void test5021() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5021");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList6 = mapCriticsRepository0.getAllComments();
        java.util.List<comments.model.Profile> profileList7 = mapCriticsRepository0.getAllProfiles();
        comments.model.Comment comment9 = mapCriticsRepository0.getComment("hi!");
        comments.model.Profile profile11 = mapCriticsRepository0.getProfile("");
        comments.model.Profile profile13 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Comment comment15 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Comment> commentList16 = mapCriticsRepository0.getAllComments();
        java.util.List<comments.model.Profile> profileList17 = mapCriticsRepository0.getAllProfiles();
        java.util.List<comments.model.Profile> profileList18 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile20 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList21 = mapCriticsRepository0.getAllComments();
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNotNull(commentList6);
        org.junit.Assert.assertNotNull(profileList7);
        org.junit.Assert.assertNull(comment9);
        org.junit.Assert.assertNull(profile11);
        org.junit.Assert.assertNull(profile13);
        org.junit.Assert.assertNull(comment15);
        org.junit.Assert.assertNotNull(commentList16);
        org.junit.Assert.assertNotNull(profileList17);
        org.junit.Assert.assertNotNull(profileList18);
        org.junit.Assert.assertNull(profile20);
        org.junit.Assert.assertNotNull(commentList21);
    }

    @Test
    public void test5022() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5022");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile7 = mapCriticsRepository0.getProfile("hi!");
        mapCriticsRepository0.deleteProfile("hi!");
        comments.model.Profile profile11 = mapCriticsRepository0.getProfile("");
        comments.model.Comment comment13 = mapCriticsRepository0.getComment("hi!");
        comments.model.Profile profile15 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Profile> profileList16 = mapCriticsRepository0.getAllProfiles();
        comments.model.Comment comment18 = mapCriticsRepository0.getComment("hi!");
        comments.model.Comment comment19 = null;
        // The following exception was thrown during execution in test generation
        try {
            mapCriticsRepository0.addComment(comment19);
            org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException; message: Cannot invoke \"comments.model.Comment.getUserName()\" because \"c\" is null");
        } catch (java.lang.NullPointerException e) {
            // Expected exception.
        }
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNull(profile7);
        org.junit.Assert.assertNull(profile11);
        org.junit.Assert.assertNull(comment13);
        org.junit.Assert.assertNull(profile15);
        org.junit.Assert.assertNotNull(profileList16);
        org.junit.Assert.assertNull(comment18);
    }

    @Test
    public void test5023() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5023");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList6 = mapCriticsRepository0.getAllComments();
        comments.model.Comment comment8 = mapCriticsRepository0.getComment("hi!");
        java.util.List<comments.model.Comment> commentList9 = mapCriticsRepository0.getAllComments();
        comments.model.Profile profile11 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Profile> profileList12 = mapCriticsRepository0.getAllProfiles();
        java.util.List<comments.model.Comment> commentList13 = mapCriticsRepository0.getAllComments();
        mapCriticsRepository0.deleteProfile("hi!");
        comments.model.Comment comment17 = mapCriticsRepository0.getComment("");
        comments.model.Profile profile19 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile21 = mapCriticsRepository0.getProfile("");
        mapCriticsRepository0.deleteProfile("");
        java.util.List<comments.model.Profile> profileList24 = mapCriticsRepository0.getAllProfiles();
        java.util.List<comments.model.Comment> commentList25 = mapCriticsRepository0.getAllComments();
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNotNull(commentList6);
        org.junit.Assert.assertNull(comment8);
        org.junit.Assert.assertNotNull(commentList9);
        org.junit.Assert.assertNull(profile11);
        org.junit.Assert.assertNotNull(profileList12);
        org.junit.Assert.assertNotNull(commentList13);
        org.junit.Assert.assertNull(comment17);
        org.junit.Assert.assertNull(profile19);
        org.junit.Assert.assertNull(profile21);
        org.junit.Assert.assertNotNull(profileList24);
        org.junit.Assert.assertNotNull(commentList25);
    }

    @Test
    public void test5024() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5024");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile7 = mapCriticsRepository0.getProfile("hi!");
        mapCriticsRepository0.deleteProfile("hi!");
        comments.model.Comment comment11 = mapCriticsRepository0.getComment("hi!");
        java.util.List<comments.model.Comment> commentList12 = mapCriticsRepository0.getAllComments();
        mapCriticsRepository0.deleteProfile("");
        java.util.List<comments.model.Comment> commentList15 = mapCriticsRepository0.getAllComments();
        java.util.List<comments.model.Comment> commentList16 = mapCriticsRepository0.getAllComments();
        java.util.List<comments.model.Profile> profileList17 = mapCriticsRepository0.getAllProfiles();
        java.util.List<comments.model.Comment> commentList18 = mapCriticsRepository0.getAllComments();
        comments.model.Comment comment20 = mapCriticsRepository0.getComment("hi!");
        java.util.List<comments.model.Profile> profileList21 = mapCriticsRepository0.getAllProfiles();
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNull(profile7);
        org.junit.Assert.assertNull(comment11);
        org.junit.Assert.assertNotNull(commentList12);
        org.junit.Assert.assertNotNull(commentList15);
        org.junit.Assert.assertNotNull(commentList16);
        org.junit.Assert.assertNotNull(profileList17);
        org.junit.Assert.assertNotNull(commentList18);
        org.junit.Assert.assertNull(comment20);
        org.junit.Assert.assertNotNull(profileList21);
    }

    @Test
    public void test5025() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5025");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList6 = mapCriticsRepository0.getAllComments();
        mapCriticsRepository0.deleteProfile("");
        comments.model.Comment comment10 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList11 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile13 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Profile> profileList14 = mapCriticsRepository0.getAllProfiles();
        mapCriticsRepository0.deleteProfile("");
        mapCriticsRepository0.deleteProfile("hi!");
        java.util.List<comments.model.Comment> commentList19 = mapCriticsRepository0.getAllComments();
        comments.model.Profile profile21 = mapCriticsRepository0.getProfile("");
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNotNull(commentList6);
        org.junit.Assert.assertNull(comment10);
        org.junit.Assert.assertNotNull(profileList11);
        org.junit.Assert.assertNull(profile13);
        org.junit.Assert.assertNotNull(profileList14);
        org.junit.Assert.assertNotNull(commentList19);
        org.junit.Assert.assertNull(profile21);
    }

    @Test
    public void test5026() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5026");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile7 = mapCriticsRepository0.getProfile("hi!");
        mapCriticsRepository0.deleteProfile("hi!");
        comments.model.Profile profile11 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList12 = mapCriticsRepository0.getAllComments();
        comments.model.Comment comment14 = mapCriticsRepository0.getComment("");
        comments.model.Comment comment16 = mapCriticsRepository0.getComment("hi!");
        java.util.List<comments.model.Profile> profileList17 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile18 = null;
        // The following exception was thrown during execution in test generation
        try {
            mapCriticsRepository0.addProfile(profile18);
            org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException; message: Cannot invoke \"comments.model.Profile.setComments(java.util.List)\" because \"p\" is null");
        } catch (java.lang.NullPointerException e) {
            // Expected exception.
        }
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNull(profile7);
        org.junit.Assert.assertNull(profile11);
        org.junit.Assert.assertNotNull(commentList12);
        org.junit.Assert.assertNull(comment14);
        org.junit.Assert.assertNull(comment16);
        org.junit.Assert.assertNotNull(profileList17);
    }

    @Test
    public void test5027() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5027");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList6 = mapCriticsRepository0.getAllComments();
        java.util.List<comments.model.Profile> profileList7 = mapCriticsRepository0.getAllProfiles();
        comments.model.Comment comment9 = mapCriticsRepository0.getComment("hi!");
        comments.model.Profile profile11 = mapCriticsRepository0.getProfile("");
        comments.model.Profile profile13 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Comment comment15 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Comment> commentList16 = mapCriticsRepository0.getAllComments();
        mapCriticsRepository0.deleteProfile("hi!");
        comments.model.Profile profile20 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Comment comment22 = mapCriticsRepository0.getComment("hi!");
        comments.model.Profile profile24 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Profile> profileList25 = mapCriticsRepository0.getAllProfiles();
        mapCriticsRepository0.deleteProfile("");
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNotNull(commentList6);
        org.junit.Assert.assertNotNull(profileList7);
        org.junit.Assert.assertNull(comment9);
        org.junit.Assert.assertNull(profile11);
        org.junit.Assert.assertNull(profile13);
        org.junit.Assert.assertNull(comment15);
        org.junit.Assert.assertNotNull(commentList16);
        org.junit.Assert.assertNull(profile20);
        org.junit.Assert.assertNull(comment22);
        org.junit.Assert.assertNull(profile24);
        org.junit.Assert.assertNotNull(profileList25);
    }

    @Test
    public void test5028() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5028");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList6 = mapCriticsRepository0.getAllComments();
        comments.model.Comment comment8 = mapCriticsRepository0.getComment("");
        comments.model.Profile profile10 = mapCriticsRepository0.getProfile("hi!");
        mapCriticsRepository0.deleteProfile("hi!");
        java.util.List<comments.model.Comment> commentList13 = mapCriticsRepository0.getAllComments();
        comments.model.Comment comment15 = mapCriticsRepository0.getComment("hi!");
        comments.model.Profile profile17 = mapCriticsRepository0.getProfile("hi!");
        mapCriticsRepository0.deleteProfile("");
        comments.model.Comment comment20 = null;
        // The following exception was thrown during execution in test generation
        try {
            mapCriticsRepository0.addComment(comment20);
            org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException; message: Cannot invoke \"comments.model.Comment.getUserName()\" because \"c\" is null");
        } catch (java.lang.NullPointerException e) {
            // Expected exception.
        }
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNotNull(commentList6);
        org.junit.Assert.assertNull(comment8);
        org.junit.Assert.assertNull(profile10);
        org.junit.Assert.assertNotNull(commentList13);
        org.junit.Assert.assertNull(comment15);
        org.junit.Assert.assertNull(profile17);
    }

    @Test
    public void test5029() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5029");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Comment comment7 = mapCriticsRepository0.getComment("hi!");
        java.util.List<comments.model.Profile> profileList8 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile10 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile12 = mapCriticsRepository0.getProfile("");
        mapCriticsRepository0.deleteProfile("hi!");
        java.util.List<comments.model.Profile> profileList15 = mapCriticsRepository0.getAllProfiles();
        java.util.List<comments.model.Profile> profileList16 = mapCriticsRepository0.getAllProfiles();
        mapCriticsRepository0.deleteProfile("hi!");
        comments.model.Profile profile19 = null;
        // The following exception was thrown during execution in test generation
        try {
            mapCriticsRepository0.addProfile(profile19);
            org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException; message: Cannot invoke \"comments.model.Profile.setComments(java.util.List)\" because \"p\" is null");
        } catch (java.lang.NullPointerException e) {
            // Expected exception.
        }
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNull(comment7);
        org.junit.Assert.assertNotNull(profileList8);
        org.junit.Assert.assertNull(profile10);
        org.junit.Assert.assertNull(profile12);
        org.junit.Assert.assertNotNull(profileList15);
        org.junit.Assert.assertNotNull(profileList16);
    }

    @Test
    public void test5030() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5030");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile7 = mapCriticsRepository0.getProfile("hi!");
        mapCriticsRepository0.deleteProfile("hi!");
        comments.model.Profile profile11 = mapCriticsRepository0.getProfile("");
        comments.model.Comment comment13 = mapCriticsRepository0.getComment("");
        comments.model.Profile profile15 = mapCriticsRepository0.getProfile("");
        java.util.List<comments.model.Comment> commentList16 = mapCriticsRepository0.getAllComments();
        java.lang.Class<?> wildcardClass17 = commentList16.getClass();
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNull(profile7);
        org.junit.Assert.assertNull(profile11);
        org.junit.Assert.assertNull(comment13);
        org.junit.Assert.assertNull(profile15);
        org.junit.Assert.assertNotNull(commentList16);
        org.junit.Assert.assertNotNull(wildcardClass17);
    }

    @Test
    public void test5031() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5031");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList6 = mapCriticsRepository0.getAllComments();
        comments.model.Comment comment8 = mapCriticsRepository0.getComment("hi!");
        java.util.List<comments.model.Comment> commentList9 = mapCriticsRepository0.getAllComments();
        comments.model.Profile profile11 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Profile> profileList12 = mapCriticsRepository0.getAllProfiles();
        java.util.List<comments.model.Comment> commentList13 = mapCriticsRepository0.getAllComments();
        mapCriticsRepository0.deleteProfile("hi!");
        java.util.List<comments.model.Profile> profileList16 = mapCriticsRepository0.getAllProfiles();
        java.util.List<comments.model.Comment> commentList17 = mapCriticsRepository0.getAllComments();
        java.util.List<comments.model.Profile> profileList18 = mapCriticsRepository0.getAllProfiles();
        mapCriticsRepository0.deleteProfile("");
        java.util.List<comments.model.Profile> profileList21 = mapCriticsRepository0.getAllProfiles();
        java.util.List<comments.model.Comment> commentList22 = mapCriticsRepository0.getAllComments();
        comments.model.Comment comment23 = null;
        // The following exception was thrown during execution in test generation
        try {
            mapCriticsRepository0.addComment(comment23);
            org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException; message: Cannot invoke \"comments.model.Comment.getUserName()\" because \"c\" is null");
        } catch (java.lang.NullPointerException e) {
            // Expected exception.
        }
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNotNull(commentList6);
        org.junit.Assert.assertNull(comment8);
        org.junit.Assert.assertNotNull(commentList9);
        org.junit.Assert.assertNull(profile11);
        org.junit.Assert.assertNotNull(profileList12);
        org.junit.Assert.assertNotNull(commentList13);
        org.junit.Assert.assertNotNull(profileList16);
        org.junit.Assert.assertNotNull(commentList17);
        org.junit.Assert.assertNotNull(profileList18);
        org.junit.Assert.assertNotNull(profileList21);
        org.junit.Assert.assertNotNull(commentList22);
    }

    @Test
    public void test5032() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5032");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList6 = mapCriticsRepository0.getAllComments();
        mapCriticsRepository0.deleteProfile("");
        comments.model.Comment comment10 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Comment> commentList11 = mapCriticsRepository0.getAllComments();
        mapCriticsRepository0.deleteProfile("hi!");
        java.util.List<comments.model.Profile> profileList14 = mapCriticsRepository0.getAllProfiles();
        java.util.List<comments.model.Profile> profileList15 = mapCriticsRepository0.getAllProfiles();
        comments.model.Comment comment17 = mapCriticsRepository0.getComment("hi!");
        java.util.List<comments.model.Profile> profileList18 = mapCriticsRepository0.getAllProfiles();
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNotNull(commentList6);
        org.junit.Assert.assertNull(comment10);
        org.junit.Assert.assertNotNull(commentList11);
        org.junit.Assert.assertNotNull(profileList14);
        org.junit.Assert.assertNotNull(profileList15);
        org.junit.Assert.assertNull(comment17);
        org.junit.Assert.assertNotNull(profileList18);
    }

    @Test
    public void test5033() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5033");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile7 = mapCriticsRepository0.getProfile("hi!");
        mapCriticsRepository0.deleteProfile("hi!");
        java.util.List<comments.model.Comment> commentList10 = mapCriticsRepository0.getAllComments();
        mapCriticsRepository0.deleteProfile("hi!");
        java.util.List<comments.model.Profile> profileList13 = mapCriticsRepository0.getAllProfiles();
        java.util.List<comments.model.Comment> commentList14 = mapCriticsRepository0.getAllComments();
        java.util.List<comments.model.Comment> commentList15 = mapCriticsRepository0.getAllComments();
        comments.model.Profile profile16 = null;
        // The following exception was thrown during execution in test generation
        try {
            mapCriticsRepository0.addProfile(profile16);
            org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException; message: Cannot invoke \"comments.model.Profile.setComments(java.util.List)\" because \"p\" is null");
        } catch (java.lang.NullPointerException e) {
            // Expected exception.
        }
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNull(profile7);
        org.junit.Assert.assertNotNull(commentList10);
        org.junit.Assert.assertNotNull(profileList13);
        org.junit.Assert.assertNotNull(commentList14);
        org.junit.Assert.assertNotNull(commentList15);
    }

    @Test
    public void test5034() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5034");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile7 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList8 = mapCriticsRepository0.getAllComments();
        java.util.List<comments.model.Comment> commentList9 = mapCriticsRepository0.getAllComments();
        comments.model.Comment comment11 = mapCriticsRepository0.getComment("hi!");
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNull(profile7);
        org.junit.Assert.assertNotNull(commentList8);
        org.junit.Assert.assertNotNull(commentList9);
        org.junit.Assert.assertNull(comment11);
    }

    @Test
    public void test5035() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5035");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile7 = mapCriticsRepository0.getProfile("hi!");
        mapCriticsRepository0.deleteProfile("hi!");
        comments.model.Profile profile11 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList12 = mapCriticsRepository0.getAllComments();
        java.util.List<comments.model.Comment> commentList13 = mapCriticsRepository0.getAllComments();
        comments.model.Profile profile15 = mapCriticsRepository0.getProfile("");
        comments.model.Profile profile17 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Profile> profileList18 = mapCriticsRepository0.getAllProfiles();
        mapCriticsRepository0.deleteProfile("hi!");
        mapCriticsRepository0.deleteProfile("");
        comments.model.Profile profile24 = mapCriticsRepository0.getProfile("");
        comments.model.Comment comment25 = null;
        // The following exception was thrown during execution in test generation
        try {
            mapCriticsRepository0.updateComment(comment25);
            org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException; message: Cannot invoke \"comments.model.Comment.getId()\" because \"c\" is null");
        } catch (java.lang.NullPointerException e) {
            // Expected exception.
        }
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNull(profile7);
        org.junit.Assert.assertNull(profile11);
        org.junit.Assert.assertNotNull(commentList12);
        org.junit.Assert.assertNotNull(commentList13);
        org.junit.Assert.assertNull(profile15);
        org.junit.Assert.assertNull(profile17);
        org.junit.Assert.assertNotNull(profileList18);
        org.junit.Assert.assertNull(profile24);
    }

    @Test
    public void test5036() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5036");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile7 = mapCriticsRepository0.getProfile("hi!");
        mapCriticsRepository0.deleteProfile("hi!");
        java.util.List<comments.model.Comment> commentList10 = mapCriticsRepository0.getAllComments();
        mapCriticsRepository0.deleteProfile("hi!");
        comments.model.Profile profile14 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Comment comment16 = mapCriticsRepository0.getComment("hi!");
        comments.model.Profile profile18 = mapCriticsRepository0.getProfile("");
        comments.model.Comment comment20 = mapCriticsRepository0.getComment("");
        comments.model.Profile profile22 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Profile> profileList23 = mapCriticsRepository0.getAllProfiles();
        java.util.List<comments.model.Profile> profileList24 = mapCriticsRepository0.getAllProfiles();
        comments.model.Comment comment25 = null;
        // The following exception was thrown during execution in test generation
        try {
            mapCriticsRepository0.addComment(comment25);
            org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException; message: Cannot invoke \"comments.model.Comment.getUserName()\" because \"c\" is null");
        } catch (java.lang.NullPointerException e) {
            // Expected exception.
        }
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNull(profile7);
        org.junit.Assert.assertNotNull(commentList10);
        org.junit.Assert.assertNull(profile14);
        org.junit.Assert.assertNull(comment16);
        org.junit.Assert.assertNull(profile18);
        org.junit.Assert.assertNull(comment20);
        org.junit.Assert.assertNull(profile22);
        org.junit.Assert.assertNotNull(profileList23);
        org.junit.Assert.assertNotNull(profileList24);
    }

    @Test
    public void test5037() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5037");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList6 = mapCriticsRepository0.getAllComments();
        comments.model.Comment comment8 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList9 = mapCriticsRepository0.getAllProfiles();
        comments.model.Comment comment11 = mapCriticsRepository0.getComment("");
        mapCriticsRepository0.deleteProfile("");
        java.util.List<comments.model.Profile> profileList14 = mapCriticsRepository0.getAllProfiles();
        mapCriticsRepository0.deleteProfile("hi!");
        java.util.List<comments.model.Comment> commentList17 = mapCriticsRepository0.getAllComments();
        java.util.List<comments.model.Comment> commentList18 = mapCriticsRepository0.getAllComments();
        mapCriticsRepository0.deleteProfile("");
        java.util.List<comments.model.Comment> commentList21 = mapCriticsRepository0.getAllComments();
        comments.model.Profile profile23 = mapCriticsRepository0.getProfile("hi!");
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNotNull(commentList6);
        org.junit.Assert.assertNull(comment8);
        org.junit.Assert.assertNotNull(profileList9);
        org.junit.Assert.assertNull(comment11);
        org.junit.Assert.assertNotNull(profileList14);
        org.junit.Assert.assertNotNull(commentList17);
        org.junit.Assert.assertNotNull(commentList18);
        org.junit.Assert.assertNotNull(commentList21);
        org.junit.Assert.assertNull(profile23);
    }

    @Test
    public void test5038() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5038");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Comment comment7 = mapCriticsRepository0.getComment("hi!");
        java.util.List<comments.model.Profile> profileList8 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile10 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile12 = mapCriticsRepository0.getProfile("");
        java.util.List<comments.model.Profile> profileList13 = mapCriticsRepository0.getAllProfiles();
        comments.model.Comment comment15 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Comment> commentList16 = mapCriticsRepository0.getAllComments();
        java.util.List<comments.model.Comment> commentList17 = mapCriticsRepository0.getAllComments();
        java.lang.Class<?> wildcardClass18 = commentList17.getClass();
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNull(comment7);
        org.junit.Assert.assertNotNull(profileList8);
        org.junit.Assert.assertNull(profile10);
        org.junit.Assert.assertNull(profile12);
        org.junit.Assert.assertNotNull(profileList13);
        org.junit.Assert.assertNull(comment15);
        org.junit.Assert.assertNotNull(commentList16);
        org.junit.Assert.assertNotNull(commentList17);
        org.junit.Assert.assertNotNull(wildcardClass18);
    }

    @Test
    public void test5039() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5039");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile7 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList8 = mapCriticsRepository0.getAllComments();
        comments.model.Comment comment10 = mapCriticsRepository0.getComment("hi!");
        comments.model.Comment comment12 = mapCriticsRepository0.getComment("hi!");
        comments.model.Profile profile14 = mapCriticsRepository0.getProfile("hi!");
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNull(profile7);
        org.junit.Assert.assertNotNull(commentList8);
        org.junit.Assert.assertNull(comment10);
        org.junit.Assert.assertNull(comment12);
        org.junit.Assert.assertNull(profile14);
    }

    @Test
    public void test5040() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5040");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList6 = mapCriticsRepository0.getAllComments();
        comments.model.Comment comment8 = mapCriticsRepository0.getComment("");
        mapCriticsRepository0.deleteProfile("hi!");
        java.util.List<comments.model.Profile> profileList11 = mapCriticsRepository0.getAllProfiles();
        java.util.List<comments.model.Comment> commentList12 = mapCriticsRepository0.getAllComments();
        java.util.List<comments.model.Profile> profileList13 = mapCriticsRepository0.getAllProfiles();
        mapCriticsRepository0.deleteProfile("");
        mapCriticsRepository0.deleteProfile("hi!");
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNotNull(commentList6);
        org.junit.Assert.assertNull(comment8);
        org.junit.Assert.assertNotNull(profileList11);
        org.junit.Assert.assertNotNull(commentList12);
        org.junit.Assert.assertNotNull(profileList13);
    }

    @Test
    public void test5041() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5041");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile7 = mapCriticsRepository0.getProfile("hi!");
        mapCriticsRepository0.deleteProfile("hi!");
        comments.model.Profile profile11 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile13 = mapCriticsRepository0.getProfile("");
        comments.model.Comment comment15 = mapCriticsRepository0.getComment("hi!");
        comments.model.Profile profile17 = mapCriticsRepository0.getProfile("hi!");
        mapCriticsRepository0.deleteProfile("");
        comments.model.Profile profile21 = mapCriticsRepository0.getProfile("hi!");
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNull(profile7);
        org.junit.Assert.assertNull(profile11);
        org.junit.Assert.assertNull(profile13);
        org.junit.Assert.assertNull(comment15);
        org.junit.Assert.assertNull(profile17);
        org.junit.Assert.assertNull(profile21);
    }

    @Test
    public void test5042() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5042");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile7 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList8 = mapCriticsRepository0.getAllComments();
        java.util.List<comments.model.Comment> commentList9 = mapCriticsRepository0.getAllComments();
        java.util.List<comments.model.Comment> commentList10 = mapCriticsRepository0.getAllComments();
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNull(profile7);
        org.junit.Assert.assertNotNull(commentList8);
        org.junit.Assert.assertNotNull(commentList9);
        org.junit.Assert.assertNotNull(commentList10);
    }

    @Test
    public void test5043() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5043");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Profile profile7 = mapCriticsRepository0.getProfile("hi!");
        mapCriticsRepository0.deleteProfile("hi!");
        comments.model.Profile profile11 = mapCriticsRepository0.getProfile("");
        java.util.List<comments.model.Profile> profileList12 = mapCriticsRepository0.getAllProfiles();
        java.util.List<comments.model.Profile> profileList13 = mapCriticsRepository0.getAllProfiles();
        java.util.List<comments.model.Profile> profileList14 = mapCriticsRepository0.getAllProfiles();
        comments.model.Comment comment16 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Comment> commentList17 = mapCriticsRepository0.getAllComments();
        comments.model.Profile profile19 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Comment comment21 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList22 = mapCriticsRepository0.getAllProfiles();
        comments.model.Comment comment24 = mapCriticsRepository0.getComment("hi!");
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNull(profile7);
        org.junit.Assert.assertNull(profile11);
        org.junit.Assert.assertNotNull(profileList12);
        org.junit.Assert.assertNotNull(profileList13);
        org.junit.Assert.assertNotNull(profileList14);
        org.junit.Assert.assertNull(comment16);
        org.junit.Assert.assertNotNull(commentList17);
        org.junit.Assert.assertNull(profile19);
        org.junit.Assert.assertNull(comment21);
        org.junit.Assert.assertNotNull(profileList22);
        org.junit.Assert.assertNull(comment24);
    }

    @Test
    public void test5044() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5044");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        java.util.List<comments.model.Comment> commentList6 = mapCriticsRepository0.getAllComments();
        mapCriticsRepository0.deleteProfile("");
        comments.model.Comment comment10 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Comment> commentList11 = mapCriticsRepository0.getAllComments();
        mapCriticsRepository0.deleteProfile("hi!");
        mapCriticsRepository0.deleteProfile("");
        java.util.List<comments.model.Profile> profileList16 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile18 = mapCriticsRepository0.getProfile("");
        java.util.List<comments.model.Comment> commentList19 = mapCriticsRepository0.getAllComments();
        mapCriticsRepository0.deleteProfile("hi!");
        java.util.List<comments.model.Profile> profileList22 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile24 = mapCriticsRepository0.getProfile("");
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNotNull(commentList6);
        org.junit.Assert.assertNull(comment10);
        org.junit.Assert.assertNotNull(commentList11);
        org.junit.Assert.assertNotNull(profileList16);
        org.junit.Assert.assertNull(profile18);
        org.junit.Assert.assertNotNull(commentList19);
        org.junit.Assert.assertNotNull(profileList22);
        org.junit.Assert.assertNull(profile24);
    }

    @Test
    public void test5045() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest10.test5045");
        comments.repository.MapCriticsRepository mapCriticsRepository0 = comments.repository.MapCriticsRepository.getInstance();
        comments.model.Comment comment2 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Profile> profileList3 = mapCriticsRepository0.getAllProfiles();
        comments.model.Profile profile5 = mapCriticsRepository0.getProfile("hi!");
        comments.model.Comment comment7 = mapCriticsRepository0.getComment("hi!");
        java.util.List<comments.model.Comment> commentList8 = mapCriticsRepository0.getAllComments();
        comments.model.Comment comment10 = mapCriticsRepository0.getComment("hi!");
        comments.model.Comment comment12 = mapCriticsRepository0.getComment("");
        comments.model.Comment comment14 = mapCriticsRepository0.getComment("hi!");
        java.util.List<comments.model.Profile> profileList15 = mapCriticsRepository0.getAllProfiles();
        comments.model.Comment comment17 = mapCriticsRepository0.getComment("");
        java.util.List<comments.model.Comment> commentList18 = mapCriticsRepository0.getAllComments();
        java.util.List<comments.model.Profile> profileList19 = mapCriticsRepository0.getAllProfiles();
        org.junit.Assert.assertNotNull(mapCriticsRepository0);
        org.junit.Assert.assertNull(comment2);
        org.junit.Assert.assertNotNull(profileList3);
        org.junit.Assert.assertNull(profile5);
        org.junit.Assert.assertNull(comment7);
        org.junit.Assert.assertNotNull(commentList8);
        org.junit.Assert.assertNull(comment10);
        org.junit.Assert.assertNull(comment12);
        org.junit.Assert.assertNull(comment14);
        org.junit.Assert.assertNotNull(profileList15);
        org.junit.Assert.assertNull(comment17);
        org.junit.Assert.assertNotNull(commentList18);
        org.junit.Assert.assertNotNull(profileList19);
    }
}

